GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/inf-loop.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include "infrun.h"`
`#include "event-loop.h"`
`#include "event-top.h"`
`#include "inf-loop.h"`
`#include "remote.h"`
`#include "language.h"`
`#include "gdbthread.h"`
`#include "continuations.h"`
`#include "interps.h"`
`#include "top.h"`
`#include "observer.h"`

Go to the source code of this file.

## Functions
void | inferior_event_handler (enum inferior_event_type event_type, gdb_client_data client_data)

## Function Documentation

## ◆ inferior_event_handler()

void inferior_event_handler | ( | enum inferior_event_type | event_type,
|  | gdb_client_data | client_data
| ) |  |

Definition at line 37 of file inf-loop.c.

References _, ui::async, bpstat_do_actions(), CATCH, check_frame_language_change(), current_ui, do_all_inferior_continuations(), END_CATCH, exception_print(), fetch_inferior_event(), gdb_stderr, INF_EXEC_COMPLETE, INF_REG_EVENT, inferior_ptid, non_stop, null_ptid, printf_unfiltered(), PROMPT_BLOCKED, ui::prompt_state, ptid_equal(), RETURN_MASK_ALL, target_async(), target_can_async_p, target_has_execution, throw_exception(), and TRY.

Referenced by fetch_inferior_event(), handle_target_event(), infrun_async_inferior_event_handler(), proceed(), record_btrace_handle_async_inferior_event(), record_full_async_inferior_event_handler(), remote_async_inferior_event_handler(), remote_async_serial_handler(), and step_1().